Package com.ocient.jdbc.proto

## Class PlanProtocol.IndexDistinctOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.IndexDistinctOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.IndexDistinctOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.IndexDistinctOperator

    public static final class PlanProtocol.IndexDistinctOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>
    implements PlanProtocol.IndexDistinctOperatorOrBuilder

    Hybrid operator that combines index and removal of duplicates, and outputs distinct values in sorted order

Protobuf type `xg.db.sqlPlans.IndexDistinctOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`PlanProtocol.IndexDistinctOperator.Builder` `addAllColNames​(Iterable<String> values)` Deprecated.
`PlanProtocol.IndexDistinctOperator.Builder` `addAllColTypes​(Iterable<String> values)` The string representation of the type of ALL output columns
`PlanProtocol.IndexDistinctOperator.Builder` `addAllFilters​(Iterable<? extends PlanProtocol.Disjunction> values)` Filter conditions to apply via index
`PlanProtocol.IndexDistinctOperator.Builder` `addAllPoint​(Iterable<? extends PlanProtocol.SortPartition> values)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.IndexDistinctOperator.Builder` `addAllTimeFilters​(Iterable<? extends PlanProtocol.Disjunction> values)` Time filter disjunctions
`PlanProtocol.IndexDistinctOperator.Builder` `addColNames​(String value)` Deprecated.
`PlanProtocol.IndexDistinctOperator.Builder` `addColNamesBytes​(com.google.protobuf.ByteString value)` Deprecated.
`PlanProtocol.IndexDistinctOperator.Builder` `addColTypes​(String value)` The string representation of the type of ALL output columns
`PlanProtocol.IndexDistinctOperator.Builder` `addColTypesBytes​(com.google.protobuf.ByteString value)` The string representation of the type of ALL output columns
`PlanProtocol.IndexDistinctOperator.Builder` `addFilters​(int index, PlanProtocol.Disjunction value)` Filter conditions to apply via index
`PlanProtocol.IndexDistinctOperator.Builder` `addFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` Filter conditions to apply via index
`PlanProtocol.IndexDistinctOperator.Builder` `addFilters​(PlanProtocol.Disjunction value)` Filter conditions to apply via index
`PlanProtocol.IndexDistinctOperator.Builder` `addFilters​(PlanProtocol.Disjunction.Builder builderForValue)` Filter conditions to apply via index
`PlanProtocol.Disjunction.Builder` `addFiltersBuilder()` Filter conditions to apply via index
`PlanProtocol.Disjunction.Builder` `addFiltersBuilder​(int index)` Filter conditions to apply via index
`PlanProtocol.IndexDistinctOperator.Builder` `addPoint​(int index, PlanProtocol.SortPartition value)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.IndexDistinctOperator.Builder` `addPoint​(int index, PlanProtocol.SortPartition.Builder builderForValue)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.IndexDistinctOperator.Builder` `addPoint​(PlanProtocol.SortPartition value)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.IndexDistinctOperator.Builder` `addPoint​(PlanProtocol.SortPartition.Builder builderForValue)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.SortPartition.Builder` `addPointBuilder()` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.SortPartition.Builder` `addPointBuilder​(int index)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.IndexDistinctOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.IndexDistinctOperator.Builder` `addTimeFilters​(int index, PlanProtocol.Disjunction value)` Time filter disjunctions
`PlanProtocol.IndexDistinctOperator.Builder` `addTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` Time filter disjunctions
`PlanProtocol.IndexDistinctOperator.Builder` `addTimeFilters​(PlanProtocol.Disjunction value)` Time filter disjunctions
`PlanProtocol.IndexDistinctOperator.Builder` `addTimeFilters​(PlanProtocol.Disjunction.Builder builderForValue)` Time filter disjunctions
`PlanProtocol.Disjunction.Builder` `addTimeFiltersBuilder()` Time filter disjunctions
`PlanProtocol.Disjunction.Builder` `addTimeFiltersBuilder​(int index)` Time filter disjunctions
`PlanProtocol.IndexDistinctOperator` `build()`
`PlanProtocol.IndexDistinctOperator` `buildPartial()`
`PlanProtocol.IndexDistinctOperator.Builder` `clear()`
`PlanProtocol.IndexDistinctOperator.Builder` `clearColNames()` Deprecated.
`PlanProtocol.IndexDistinctOperator.Builder` `clearColTypes()` The string representation of the type of ALL output columns
`PlanProtocol.IndexDistinctOperator.Builder` `clearDb()` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexDistinctOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.IndexDistinctOperator.Builder` `clearFilters()` Filter conditions to apply via index
`PlanProtocol.IndexDistinctOperator.Builder` `clearIndexName()` Which index?
`PlanProtocol.IndexDistinctOperator.Builder` `clearIndexUuid()` `string index_uuid = 10;`
`PlanProtocol.IndexDistinctOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.IndexDistinctOperator.Builder` `clearPoint()` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.IndexDistinctOperator.Builder` `clearSchema()` The table schema
`PlanProtocol.IndexDistinctOperator.Builder` `clearStorageSpaceUuid()` `string storage_space_uuid = 9;`
`PlanProtocol.IndexDistinctOperator.Builder` `clearTableName()` The table name
`PlanProtocol.IndexDistinctOperator.Builder` `clearTableUuid()` `string table_uuid = 8;`
`PlanProtocol.IndexDistinctOperator.Builder` `clearTimeFilters()` Time filter disjunctions
`PlanProtocol.IndexDistinctOperator.Builder` `clone()`
`String` `getColNames​(int index)` Deprecated.
`com.google.protobuf.ByteString` `getColNamesBytes​(int index)` Deprecated.
`int` `getColNamesCount()` Deprecated.
`com.google.protobuf.ProtocolStringList` `getColNamesList()` Deprecated.
`String` `getColTypes​(int index)` The string representation of the type of ALL output columns
`com.google.protobuf.ByteString` `getColTypesBytes​(int index)` The string representation of the type of ALL output columns
`int` `getColTypesCount()` The string representation of the type of ALL output columns
`com.google.protobuf.ProtocolStringList` `getColTypesList()` The string representation of the type of ALL output columns
`String` `getDb()` Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` `getDbBytes()` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexDistinctOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`PlanProtocol.Disjunction` `getFilters​(int index)` Filter conditions to apply via index
`PlanProtocol.Disjunction.Builder` `getFiltersBuilder​(int index)` Filter conditions to apply via index
`List<PlanProtocol.Disjunction.Builder>` `getFiltersBuilderList()` Filter conditions to apply via index
`int` `getFiltersCount()` Filter conditions to apply via index
`List<PlanProtocol.Disjunction>` `getFiltersList()` Filter conditions to apply via index
`PlanProtocol.DisjunctionOrBuilder` `getFiltersOrBuilder​(int index)` Filter conditions to apply via index
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getFiltersOrBuilderList()` Filter conditions to apply via index
`String` `getIndexName()` Which index?
`com.google.protobuf.ByteString` `getIndexNameBytes()` Which index?
`String` `getIndexUuid()` `string index_uuid = 10;`
`com.google.protobuf.ByteString` `getIndexUuidBytes()` `string index_uuid = 10;`
`PlanProtocol.SortPartition` `getPoint​(int index)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.SortPartition.Builder` `getPointBuilder​(int index)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`List<PlanProtocol.SortPartition.Builder>` `getPointBuilderList()` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`int` `getPointCount()` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`List<PlanProtocol.SortPartition>` `getPointList()` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.SortPartitionOrBuilder` `getPointOrBuilder​(int index)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`List<? extends PlanProtocol.SortPartitionOrBuilder>` `getPointOrBuilderList()` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`String` `getSchema()` The table schema
`com.google.protobuf.ByteString` `getSchemaBytes()` The table schema
`String` `getStorageSpaceUuid()` `string storage_space_uuid = 9;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidBytes()` `string storage_space_uuid = 9;`
`String` `getTableName()` The table name
`com.google.protobuf.ByteString` `getTableNameBytes()` The table name
`String` `getTableUuid()` `string table_uuid = 8;`
`com.google.protobuf.ByteString` `getTableUuidBytes()` `string table_uuid = 8;`
`PlanProtocol.Disjunction` `getTimeFilters​(int index)` Time filter disjunctions
`PlanProtocol.Disjunction.Builder` `getTimeFiltersBuilder​(int index)` Time filter disjunctions
`List<PlanProtocol.Disjunction.Builder>` `getTimeFiltersBuilderList()` Time filter disjunctions
`int` `getTimeFiltersCount()` Time filter disjunctions
`List<PlanProtocol.Disjunction>` `getTimeFiltersList()` Time filter disjunctions
`PlanProtocol.DisjunctionOrBuilder` `getTimeFiltersOrBuilder​(int index)` Time filter disjunctions
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getTimeFiltersOrBuilderList()` Time filter disjunctions
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.IndexDistinctOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.IndexDistinctOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.IndexDistinctOperator.Builder` `mergeFrom​(PlanProtocol.IndexDistinctOperator other)`
`PlanProtocol.IndexDistinctOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.IndexDistinctOperator.Builder` `removeFilters​(int index)` Filter conditions to apply via index
`PlanProtocol.IndexDistinctOperator.Builder` `removePoint​(int index)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.IndexDistinctOperator.Builder` `removeTimeFilters​(int index)` Time filter disjunctions
`PlanProtocol.IndexDistinctOperator.Builder` `setColNames​(int index, String value)` Deprecated.
`PlanProtocol.IndexDistinctOperator.Builder` `setColTypes​(int index, String value)` The string representation of the type of ALL output columns
`PlanProtocol.IndexDistinctOperator.Builder` `setDb​(String value)` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexDistinctOperator.Builder` `setDbBytes​(com.google.protobuf.ByteString value)` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexDistinctOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.IndexDistinctOperator.Builder` `setFilters​(int index, PlanProtocol.Disjunction value)` Filter conditions to apply via index
`PlanProtocol.IndexDistinctOperator.Builder` `setFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` Filter conditions to apply via index
`PlanProtocol.IndexDistinctOperator.Builder` `setIndexName​(String value)` Which index?
`PlanProtocol.IndexDistinctOperator.Builder` `setIndexNameBytes​(com.google.protobuf.ByteString value)` Which index?
`PlanProtocol.IndexDistinctOperator.Builder` `setIndexUuid​(String value)` `string index_uuid = 10;`
`PlanProtocol.IndexDistinctOperator.Builder` `setIndexUuidBytes​(com.google.protobuf.ByteString value)` `string index_uuid = 10;`
`PlanProtocol.IndexDistinctOperator.Builder` `setPoint​(int index, PlanProtocol.SortPartition value)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.IndexDistinctOperator.Builder` `setPoint​(int index, PlanProtocol.SortPartition.Builder builderForValue)` `repeated .xg.db.sqlPlans.SortPartition point = 12;`
`PlanProtocol.IndexDistinctOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.IndexDistinctOperator.Builder` `setSchema​(String value)` The table schema
`PlanProtocol.IndexDistinctOperator.Builder` `setSchemaBytes​(com.google.protobuf.ByteString value)` The table schema
`PlanProtocol.IndexDistinctOperator.Builder` `setStorageSpaceUuid​(String value)` `string storage_space_uuid = 9;`
`PlanProtocol.IndexDistinctOperator.Builder` `setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)` `string storage_space_uuid = 9;`
`PlanProtocol.IndexDistinctOperator.Builder` `setTableName​(String value)` The table name
`PlanProtocol.IndexDistinctOperator.Builder` `setTableNameBytes​(com.google.protobuf.ByteString value)` The table name
`PlanProtocol.IndexDistinctOperator.Builder` `setTableUuid​(String value)` `string table_uuid = 8;`
`PlanProtocol.IndexDistinctOperator.Builder` `setTableUuidBytes​(com.google.protobuf.ByteString value)` `string table_uuid = 8;`
`PlanProtocol.IndexDistinctOperator.Builder` `setTimeFilters​(int index, PlanProtocol.Disjunction value)` Time filter disjunctions
`PlanProtocol.IndexDistinctOperator.Builder` `setTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` Time filter disjunctions
`PlanProtocol.IndexDistinctOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### clear

    public PlanProtocol.IndexDistinctOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.IndexDistinctOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.IndexDistinctOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.IndexDistinctOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.IndexDistinctOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### setField

    public PlanProtocol.IndexDistinctOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### clearField

    public PlanProtocol.IndexDistinctOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### clearOneof

    public PlanProtocol.IndexDistinctOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.IndexDistinctOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                       int index,
                                                                       Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.IndexDistinctOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                       Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### mergeFrom

    public PlanProtocol.IndexDistinctOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### mergeFrom

    public PlanProtocol.IndexDistinctOperator.Builder mergeFrom​(PlanProtocol.IndexDistinctOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### mergeFrom

    public PlanProtocol.IndexDistinctOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IndexDistinctOperator.Builder>`
Throws:
  `IOException`

#### getSchema

    public String getSchema()

    The table schema

`string schema = 1;`

Specified by:
  `getSchema` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The schema.

#### getSchemaBytes

    public com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

Specified by:
  `getSchemaBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for schema.

#### setSchema

    public PlanProtocol.IndexDistinctOperator.Builder setSchema​(String value)

    The table schema

`string schema = 1;`

Parameters:
  `value` - The schema to set.
Returns:
  This builder for chaining.

#### clearSchema

    public PlanProtocol.IndexDistinctOperator.Builder clearSchema()

    The table schema

`string schema = 1;`

Returns:
  This builder for chaining.

#### setSchemaBytes

    public PlanProtocol.IndexDistinctOperator.Builder setSchemaBytes​(com.google.protobuf.ByteString value)

    The table schema

`string schema = 1;`

Parameters:
  `value` - The bytes for schema to set.
Returns:
  This builder for chaining.

#### getTableName

    public String getTableName()

    The table name

`string tableName = 2;`

Specified by:
  `getTableName` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The tableName.

#### getTableNameBytes

    public com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

Specified by:
  `getTableNameBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for tableName.

#### setTableName

    public PlanProtocol.IndexDistinctOperator.Builder setTableName​(String value)

    The table name

`string tableName = 2;`

Parameters:
  `value` - The tableName to set.
Returns:
  This builder for chaining.

#### clearTableName

    public PlanProtocol.IndexDistinctOperator.Builder clearTableName()

    The table name

`string tableName = 2;`

Returns:
  This builder for chaining.

#### setTableNameBytes

    public PlanProtocol.IndexDistinctOperator.Builder setTableNameBytes​(com.google.protobuf.ByteString value)

    The table name

`string tableName = 2;`

Parameters:
  `value` - The bytes for tableName to set.
Returns:
  This builder for chaining.

#### getIndexName

    public String getIndexName()

    Which index?

`string indexName = 3;`

Specified by:
  `getIndexName` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The indexName.

#### getIndexNameBytes

    public com.google.protobuf.ByteString getIndexNameBytes()

    Which index?

`string indexName = 3;`

Specified by:
  `getIndexNameBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for indexName.

#### setIndexName

    public PlanProtocol.IndexDistinctOperator.Builder setIndexName​(String value)

    Which index?

`string indexName = 3;`

Parameters:
  `value` - The indexName to set.
Returns:
  This builder for chaining.

#### clearIndexName

    public PlanProtocol.IndexDistinctOperator.Builder clearIndexName()

    Which index?

`string indexName = 3;`

Returns:
  This builder for chaining.

#### setIndexNameBytes

    public PlanProtocol.IndexDistinctOperator.Builder setIndexNameBytes​(com.google.protobuf.ByteString value)

    Which index?

`string indexName = 3;`

Parameters:
  `value` - The bytes for indexName to set.
Returns:
  This builder for chaining.

#### getColNamesList

    @Deprecated
    public com.google.protobuf.ProtocolStringList getColNamesList()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNamesList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  A list containing the colNames.

#### getColNamesCount

    @Deprecated
    public int getColNamesCount()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNamesCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The count of colNames.

#### getColNames

    @Deprecated
    public String getColNames​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNames` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The colNames at the given index.

#### getColNamesBytes

    @Deprecated
    public com.google.protobuf.ByteString getColNamesBytes​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Specified by:
  `getColNamesBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colNames at the given index.

#### setColNames

    @Deprecated
    public PlanProtocol.IndexDistinctOperator.Builder setColNames​(int index,
                                                                  String value)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Parameters:
  `index` - The index to set the value at.
  `value` - The colNames to set.
Returns:
  This builder for chaining.

#### addColNames

    @Deprecated
    public PlanProtocol.IndexDistinctOperator.Builder addColNames​(String value)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Parameters:
  `value` - The colNames to add.
Returns:
  This builder for chaining.

#### addAllColNames

    @Deprecated
    public PlanProtocol.IndexDistinctOperator.Builder addAllColNames​(Iterable<String> values)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Parameters:
  `values` - The colNames to add.
Returns:
  This builder for chaining.

#### clearColNames

    @Deprecated
    public PlanProtocol.IndexDistinctOperator.Builder clearColNames()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Returns:
  This builder for chaining.

#### addColNamesBytes

    @Deprecated
    public PlanProtocol.IndexDistinctOperator.Builder addColNamesBytes​(com.google.protobuf.ByteString value)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Parameters:
  `value` - The bytes of the colNames to add.
Returns:
  This builder for chaining.

#### getFiltersList

    public List<PlanProtocol.Disjunction> getFiltersList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getFiltersCount

    public int getFiltersCount()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getFilters

    public PlanProtocol.Disjunction getFilters​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFilters` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### setFilters

    public PlanProtocol.IndexDistinctOperator.Builder setFilters​(int index,
                                                                 PlanProtocol.Disjunction value)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### setFilters

    public PlanProtocol.IndexDistinctOperator.Builder setFilters​(int index,
                                                                 PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### addFilters

    public PlanProtocol.IndexDistinctOperator.Builder addFilters​(PlanProtocol.Disjunction value)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### addFilters

    public PlanProtocol.IndexDistinctOperator.Builder addFilters​(int index,
                                                                 PlanProtocol.Disjunction value)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### addFilters

    public PlanProtocol.IndexDistinctOperator.Builder addFilters​(PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### addFilters

    public PlanProtocol.IndexDistinctOperator.Builder addFilters​(int index,
                                                                 PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### addAllFilters

    public PlanProtocol.IndexDistinctOperator.Builder addAllFilters​(Iterable<? extends PlanProtocol.Disjunction> values)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### clearFilters

    public PlanProtocol.IndexDistinctOperator.Builder clearFilters()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### removeFilters

    public PlanProtocol.IndexDistinctOperator.Builder removeFilters​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFiltersBuilder

    public PlanProtocol.Disjunction.Builder getFiltersBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFiltersOrBuilder

    public PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersOrBuilder` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getFiltersOrBuilderList

    public List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

Specified by:
  `getFiltersOrBuilderList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### addFiltersBuilder

    public PlanProtocol.Disjunction.Builder addFiltersBuilder()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### addFiltersBuilder

    public PlanProtocol.Disjunction.Builder addFiltersBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFiltersBuilderList

    public List<PlanProtocol.Disjunction.Builder> getFiltersBuilderList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getDb

    public String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

Specified by:
  `getDb` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The db.

#### getDbBytes

    public com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

Specified by:
  `getDbBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for db.

#### setDb

    public PlanProtocol.IndexDistinctOperator.Builder setDb​(String value)

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

Parameters:
  `value` - The db to set.
Returns:
  This builder for chaining.

#### clearDb

    public PlanProtocol.IndexDistinctOperator.Builder clearDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

Returns:
  This builder for chaining.

#### setDbBytes

    public PlanProtocol.IndexDistinctOperator.Builder setDbBytes​(com.google.protobuf.ByteString value)

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

Parameters:
  `value` - The bytes for db to set.
Returns:
  This builder for chaining.

#### getTableUuid

    public String getTableUuid()

`string table_uuid = 8;`

Specified by:
  `getTableUuid` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The tableUuid.

#### getTableUuidBytes

    public com.google.protobuf.ByteString getTableUuidBytes()

`string table_uuid = 8;`

Specified by:
  `getTableUuidBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for tableUuid.

#### setTableUuid

    public PlanProtocol.IndexDistinctOperator.Builder setTableUuid​(String value)

`string table_uuid = 8;`

Parameters:
  `value` - The tableUuid to set.
Returns:
  This builder for chaining.

#### clearTableUuid

    public PlanProtocol.IndexDistinctOperator.Builder clearTableUuid()

`string table_uuid = 8;`

Returns:
  This builder for chaining.

#### setTableUuidBytes

    public PlanProtocol.IndexDistinctOperator.Builder setTableUuidBytes​(com.google.protobuf.ByteString value)

`string table_uuid = 8;`

Parameters:
  `value` - The bytes for tableUuid to set.
Returns:
  This builder for chaining.

#### getStorageSpaceUuid

    public String getStorageSpaceUuid()

`string storage_space_uuid = 9;`

Specified by:
  `getStorageSpaceUuid` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The storageSpaceUuid.

#### getStorageSpaceUuidBytes

    public com.google.protobuf.ByteString getStorageSpaceUuidBytes()

`string storage_space_uuid = 9;`

Specified by:
  `getStorageSpaceUuidBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for storageSpaceUuid.

#### setStorageSpaceUuid

    public PlanProtocol.IndexDistinctOperator.Builder setStorageSpaceUuid​(String value)

`string storage_space_uuid = 9;`

Parameters:
  `value` - The storageSpaceUuid to set.
Returns:
  This builder for chaining.

#### clearStorageSpaceUuid

    public PlanProtocol.IndexDistinctOperator.Builder clearStorageSpaceUuid()

`string storage_space_uuid = 9;`

Returns:
  This builder for chaining.

#### setStorageSpaceUuidBytes

    public PlanProtocol.IndexDistinctOperator.Builder setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)

`string storage_space_uuid = 9;`

Parameters:
  `value` - The bytes for storageSpaceUuid to set.
Returns:
  This builder for chaining.

#### getIndexUuid

    public String getIndexUuid()

`string index_uuid = 10;`

Specified by:
  `getIndexUuid` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The indexUuid.

#### getIndexUuidBytes

    public com.google.protobuf.ByteString getIndexUuidBytes()

`string index_uuid = 10;`

Specified by:
  `getIndexUuidBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The bytes for indexUuid.

#### setIndexUuid

    public PlanProtocol.IndexDistinctOperator.Builder setIndexUuid​(String value)

`string index_uuid = 10;`

Parameters:
  `value` - The indexUuid to set.
Returns:
  This builder for chaining.

#### clearIndexUuid

    public PlanProtocol.IndexDistinctOperator.Builder clearIndexUuid()

`string index_uuid = 10;`

Returns:
  This builder for chaining.

#### setIndexUuidBytes

    public PlanProtocol.IndexDistinctOperator.Builder setIndexUuidBytes​(com.google.protobuf.ByteString value)

`string index_uuid = 10;`

Parameters:
  `value` - The bytes for indexUuid to set.
Returns:
  This builder for chaining.

#### getTimeFiltersList

    public List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFiltersList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getTimeFiltersCount

    public int getTimeFiltersCount()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFiltersCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getTimeFilters

    public PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFilters` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### setTimeFilters

    public PlanProtocol.IndexDistinctOperator.Builder setTimeFilters​(int index,
                                                                     PlanProtocol.Disjunction value)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### setTimeFilters

    public PlanProtocol.IndexDistinctOperator.Builder setTimeFilters​(int index,
                                                                     PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### addTimeFilters

    public PlanProtocol.IndexDistinctOperator.Builder addTimeFilters​(PlanProtocol.Disjunction value)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### addTimeFilters

    public PlanProtocol.IndexDistinctOperator.Builder addTimeFilters​(int index,
                                                                     PlanProtocol.Disjunction value)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### addTimeFilters

    public PlanProtocol.IndexDistinctOperator.Builder addTimeFilters​(PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### addTimeFilters

    public PlanProtocol.IndexDistinctOperator.Builder addTimeFilters​(int index,
                                                                     PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### addAllTimeFilters

    public PlanProtocol.IndexDistinctOperator.Builder addAllTimeFilters​(Iterable<? extends PlanProtocol.Disjunction> values)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### clearTimeFilters

    public PlanProtocol.IndexDistinctOperator.Builder clearTimeFilters()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### removeTimeFilters

    public PlanProtocol.IndexDistinctOperator.Builder removeTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### getTimeFiltersBuilder

    public PlanProtocol.Disjunction.Builder getTimeFiltersBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### getTimeFiltersOrBuilder

    public PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFiltersOrBuilder` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getTimeFiltersOrBuilderList

    public List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

Specified by:
  `getTimeFiltersOrBuilderList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### addTimeFiltersBuilder

    public PlanProtocol.Disjunction.Builder addTimeFiltersBuilder()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### addTimeFiltersBuilder

    public PlanProtocol.Disjunction.Builder addTimeFiltersBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### getTimeFiltersBuilderList

    public List<PlanProtocol.Disjunction.Builder> getTimeFiltersBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### getPointList

    public List<PlanProtocol.SortPartition> getPointList()

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPointList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getPointCount

    public int getPointCount()

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPointCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getPoint

    public PlanProtocol.SortPartition getPoint​(int index)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPoint` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### setPoint

    public PlanProtocol.IndexDistinctOperator.Builder setPoint​(int index,
                                                               PlanProtocol.SortPartition value)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### setPoint

    public PlanProtocol.IndexDistinctOperator.Builder setPoint​(int index,
                                                               PlanProtocol.SortPartition.Builder builderForValue)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### addPoint

    public PlanProtocol.IndexDistinctOperator.Builder addPoint​(PlanProtocol.SortPartition value)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### addPoint

    public PlanProtocol.IndexDistinctOperator.Builder addPoint​(int index,
                                                               PlanProtocol.SortPartition value)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### addPoint

    public PlanProtocol.IndexDistinctOperator.Builder addPoint​(PlanProtocol.SortPartition.Builder builderForValue)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### addPoint

    public PlanProtocol.IndexDistinctOperator.Builder addPoint​(int index,
                                                               PlanProtocol.SortPartition.Builder builderForValue)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### addAllPoint

    public PlanProtocol.IndexDistinctOperator.Builder addAllPoint​(Iterable<? extends PlanProtocol.SortPartition> values)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### clearPoint

    public PlanProtocol.IndexDistinctOperator.Builder clearPoint()

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### removePoint

    public PlanProtocol.IndexDistinctOperator.Builder removePoint​(int index)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### getPointBuilder

    public PlanProtocol.SortPartition.Builder getPointBuilder​(int index)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### getPointOrBuilder

    public PlanProtocol.SortPartitionOrBuilder getPointOrBuilder​(int index)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPointOrBuilder` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### getPointOrBuilderList

    public List<? extends PlanProtocol.SortPartitionOrBuilder> getPointOrBuilderList()

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

Specified by:
  `getPointOrBuilderList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`

#### addPointBuilder

    public PlanProtocol.SortPartition.Builder addPointBuilder()

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### addPointBuilder

    public PlanProtocol.SortPartition.Builder addPointBuilder​(int index)

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### getPointBuilderList

    public List<PlanProtocol.SortPartition.Builder> getPointBuilderList()

`repeated .xg.db.sqlPlans.SortPartition point = 12;`

#### getColTypesList

    public com.google.protobuf.ProtocolStringList getColTypesList()

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Specified by:
  `getColTypesList` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  A list containing the colTypes.

#### getColTypesCount

    public int getColTypesCount()

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Specified by:
  `getColTypesCount` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Returns:
  The count of colTypes.

#### getColTypes

    public String getColTypes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Specified by:
  `getColTypes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The colTypes at the given index.

#### getColTypesBytes

    public com.google.protobuf.ByteString getColTypesBytes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Specified by:
  `getColTypesBytes` in interface `PlanProtocol.IndexDistinctOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colTypes at the given index.

#### setColTypes

    public PlanProtocol.IndexDistinctOperator.Builder setColTypes​(int index,
                                                                  String value)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Parameters:
  `index` - The index to set the value at.
  `value` - The colTypes to set.
Returns:
  This builder for chaining.

#### addColTypes

    public PlanProtocol.IndexDistinctOperator.Builder addColTypes​(String value)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Parameters:
  `value` - The colTypes to add.
Returns:
  This builder for chaining.

#### addAllColTypes

    public PlanProtocol.IndexDistinctOperator.Builder addAllColTypes​(Iterable<String> values)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Parameters:
  `values` - The colTypes to add.
Returns:
  This builder for chaining.

#### clearColTypes

    public PlanProtocol.IndexDistinctOperator.Builder clearColTypes()

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Returns:
  This builder for chaining.

#### addColTypesBytes

    public PlanProtocol.IndexDistinctOperator.Builder addColTypesBytes​(com.google.protobuf.ByteString value)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Parameters:
  `value` - The bytes of the colTypes to add.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.IndexDistinctOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.IndexDistinctOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexDistinctOperator.Builder>`